Bug 525591 - man page built incorrectly
Summary: man page built incorrectly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 10
Hardware: noarch
OS: Linux
low
low
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 00:14 UTC by cac
Modified: 2009-12-18 09:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:43:37 UTC


Attachments (Terms of Use)

Description cac 2009-09-25 00:14:35 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.14) Gecko/2009090905 Fedora/3.0.14-1.fc10 Firefox/3.0.14

The man page is incorrect.
Action: "man gpodder"
Expected results: Contents of gpodder man page
Actual results: Interesting but unhelpful error messages from the build process

Detailed results:


"man gpodder" yields:

WARNING:(1)                       feedparser"                      WARNING:(1)

NAME
       Warning: - A Media aggregator and Podcast catcher

DESCRIPTION
       Warning:  Module  "feedparser"  not found. Please install "python-feed-
       parser".

              The feedparser module can  also  be  downloaded  from  www.feed-
              parser.org

              The  feedparser  module  can  also  be downloaded from www.feed-
              parser.org

Warning: Module                  December 2008                     WARNING:(1)
(END) 


"zcat /usr/share/man//man1/gpodder.1.gz" yields:

.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
.TH WARNING: "1" "December 2008" "Warning: Module "feedparser" not found. Please install "python-feedparser"." "User Commands"
.SH NAME
Warning: \- A Media aggregator and Podcast catcher
.SH DESCRIPTION
Warning: Module "feedparser" not found. Please install "python\-feedparser".
.IP
The feedparser module can also be downloaded from www.feedparser.org
.IP
The feedparser module can also be downloaded from www.feedparser.org



Reproducible: Always

Steps to Reproduce:
1. "man gpodder"
2.
3.
Actual Results:  
WARNING:(1)                       feedparser"                      WARNING:(1)

NAME
       Warning: - A Media aggregator and Podcast catcher

DESCRIPTION
       Warning:  Module  "feedparser"  not found. Please install "python-feed-
       parser".

              The feedparser module can  also  be  downloaded  from  www.feed-
              parser.org

              The  feedparser  module  can  also  be downloaded from www.feed-
              parser.org

Warning: Module                  December 2008                     WARNING:(1)
(END) 


Expected Results:  
A man page.

Comment 1 Jef Spaleta 2009-09-25 04:29:36 UTC
hmm.. i'll see if I can get this fixed in the packaging tomorrow.

It looks like the version in F11 and upcoming in F12 are not affected.
Unfortunately the new gpodder releases required a newer gtk than F10 carries so I can't just backport the newer releases to F10. I'll have to try to fix this in the packaging.

-jef

Comment 2 Jef Spaleta 2009-09-25 17:26:13 UTC
Okay I've spun up a koji build.  Can you test this package and see if the issue is fixed for you?

http://koji.fedoraproject.org/koji/getfile?taskID=1707192&name=gpodder-0.14.0-2.fc10.noarch.rpm


-jef

Comment 3 cac 2009-09-26 05:31:13 UTC
Yes; the "koji" build in comment #2 fixes the reported bug.
Thank you.

Comment 4 Bug Zapper 2009-11-18 12:55:23 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-12-18 09:43:37 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.